bpr

babel-preset-react-hot

Babel preset for React hot module replacement and error catching

Showing:

Popularity

Downloads/wk

127

GitHub Stars

1

Maintenance

Last Commit

4yrs ago

Contributors

0

Package

Dependencies

5

Size (min+gzip)

12.1KB

License

ISC

Type Definitions

Tree-Shakeable

No?

Categories

Readme

Babel preset for React hot module replacement and error catching

This preset will configure Babel for react-transform-hmr and react-transform-catch-errors.

This preset should only be used for development builds.

Install

yarn add babel-preset-react-hot --dev

# or

npm install babel-preset-react-hot --save-dev

Configure babel via .babelrc


{
  "env": {
    "development": {
      "presets": ["react-hot"]
    }
  }
}

Origin

This package was forked from babel-preset-react-hmre which seemingly isn't maintained anymore and the Github repo was deleted.

As it had an outdated dependency on redbox-react in React >=15.5.0 a warning was printed about a deprecated prop types import. This package has that dependency updated and so no warning should be printed.

Rate & Review

Great Documentation0
Easy to Use0
Performant0
Highly Customizable0
Bleeding Edge0
Responsive Maintainers0
Poor Documentation0
Hard to Use0
Slow0
Buggy0
Abandoned0
Unwelcoming Community0
100
No reviews found
Be the first to rate

Alternatives

No alternatives found

Tutorials

No tutorials found
Add a tutorial